clc
clear all
close all
% Samsung Battery 94 Ah Datasheet Block Parameters
Em=[4.136 4.016 3.913 3.825 3.756 3.678 3.641 3.615 3.579 3.499 3.420]';
SOC_Brkpoints=0:0.1:1;
figure (1)
plot(SOC_Brkpoints,Em)
T_LUT=[248.15 273.15 298.15];
SOC_Resistance_Brkpoints= [0.2 0.3 0.5 0.9];
R_battery_Discharging=[19.61 10.69 5.09 4.39;5.07 3 2.44 2.32;1.03 0.91 0.9 0.94]*10^-3; %in Ohm
R_battery_Charging=[16.66 15.97 16.73 28.34;2.77 2.65 2.83 3.74;0.88 0.81 0.9 0.92]*10^-3; %in Ohm
figure (2)
for i=1:1:size(R_battery_Discharging,1)
    plot (SOC_Resistance_Brkpoints,R_battery_Discharging(i,:))
    hold on
end
hold off

% Cell dimensions and sizes
cell_thickness = 45*10^-3; %m
cell_width = 125*10^-3; %m
cell_length = 173*10^-3; %m

% Cell surface area
cell_area = 2*(2*(cell_thickness+cell_width)+2*(cell_thickness+cell_length)+2*(cell_width+cell_length)); %m^2

% Cell volume
cell_volume = cell_thickness*cell_width*cell_length; %m^3

% Cell mass
Battery.cell_mass = 2.06; %kg

% Volumetric heat capacity
% assumes uniform heat capacity throughout the cell
% ref: J. Electrochemical Society 158 (8) A955-A969 (2011) pA962
cell_rho_Cp = 2.04E6; %J/m3/K

%Specific Heat
Battery.cell_Cp_heat = (cell_rho_Cp * cell_volume)/Battery.cell_mass; %J/kg/K
% Module Mass
module_mass= 27.5; %Kg
% Module Dimensions
Module_Height= 176*10^-3; %m
Module_Width= 206*10^-3; %m
Module_Thickness= 476*10^-3; %m
% Module Surface Area
Module_Surface_Area= 2*(2*(Module_Height+Module_Width)+2*(Module_Height+Module_Thickness)+(Module_Thickness+Module_Width));
%% Initial Conditions

% Charge deficit
Battery.Qe_init = 0; %Ampere*hours
% Initial Temperatures
Battery.T_init = 28 + 273.15; %K
T_ambient= 28 + 273.15; %K
% Cells in series
Ns=10;
% Cells in parallel
Np=1;
